### Method

# FwupdPlugin Firmware add_image_full

since: 1.9.3

#### Declaration [src]

    gboolean
    fu_firmware_add_image_full (
      FuFirmware* self,
      FuFirmware* img,
      GError** error
    )

#### Description [src]

Adds an image to the firmware. This method will fail if the number of images would be above the limit set by fu_firmware_set_images_max().

If `FU_FIRMWARE_FLAG_DEDUPE_ID` is set, an image with the same ID is already present it is replaced.

Available since: 1.9.3

#### Parameters

`img`

  Type: `FuFirmware`

  A child firmware image.

  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if the image was added.